Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567008 - spectacle screenshot of rectangular area does not work with wayland
Summary: spectacle screenshot of rectangular area does not work with wayland
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: spectacle
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 09:50 UTC by Michal Halenka
Modified: 2020-11-17 04:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-17 04:53:15 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 377157 0 NOR RESOLVED [Wayland] It's not possible to take a picture of a rectangle region 2020-11-30 23:52:31 UTC

Description Michal Halenka 2018-04-13 09:50:48 UTC
Description of problem:

Spectacle is not able to do screenshot of rectangular area when running on Wayland.

Version-Release number of selected component (if applicable):

plasma-workspace-5.12.4-1.fc27.src.rpm
plasma-workspace-wayland-5.12.4-1.fc27.x86_64
spectacle-17.12.1-1.fc27.src.rpm

How reproducible:

always

Steps to Reproduce:

- Use Fedora 27 KDE Plasma spin
- install wayland (plasma-workspace-wayland)
- on log-in screen, select 'Plasma (Wayland)'
- run spectacle
- select Area: 'Rectangular area'
- try to 'take a new snapshot'

Actual results:

nothing happens

Expected results:

spectacle should minimalize it's window, and allow user to select rectangular area to capture with mouse

Additional info:

This works well with the same system on Plasma X11 session.

Comment 1 Ben Cotton 2018-11-27 16:12:49 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 20:58:19 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Michal Halenka 2019-03-14 09:56:54 UTC
I can still reproduce this bug on Fedora 29 with these versions:

Fedora 29
plasma-workspace-5.14.5.1-1.fc29.src.rpm
plasma-workspace-wayland-5.14.5.1-1.fc29.x86_64
spectacle-18.12.2-1.fc29.src.rpm

Comment 4 Ben Cotton 2019-10-31 19:48:24 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 21:29:02 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 jvapr27 2020-01-23 13:53:54 UTC
This issue continues with Fedora 31 KDE Plasma under Wayland. Works fine under x11.

Operating System: Fedora 31
KDE Plasma Version: 5.17.5
KDE Frameworks Version: 5.64.0
Qt Version: 5.13.2
Kernel Version: 5.4.8-200.fc31.x86_64
OS Type: 64-bit
Processors: 8 × Intel® Core™ i5-8250U CPU @ 1.60GHz
Memory: 31.1 GiB of RAM

Comment 7 mg 2020-06-22 12:41:04 UTC
Same on newer fedora, with copr newer kde (without too) wayland

Operating System: Fedora 32
KDE Plasma Version: 5.19.1
KDE Frameworks Version: 5.71.0
Qt Version: 5.14.2
Kernel Version: 5.6.19-300.fc32.x86_64
OS Type: 64-bit
Processors: 6 × AMD Phenom(tm) II X6 1075T Processor
Memory: 7,8 GiB of RAM
Graphics Processor: AMD Radeon ™ RX 460 Graphics

Comment 8 Gerald Cox 2020-08-02 05:11:15 UTC
Reopening.  Problem occurs in current release.

Comment 9 Alex 2020-08-05 01:09:32 UTC
According to upstream, this should be fixed with Spectacle 19.08. I am using a copr (zawertun/kde) to get newer versions of KDE stuff, which means I'm on Spectacle 20.04.3. On this version, I am able to take a rectangular area screenshot, it just works a little differently to how it does on X11.

Comment 10 Gerald Cox 2020-08-05 18:10:46 UTC
I've noticed that you can take a screenshot but you have to fiddle with it to make it work.  When you first launch a message
appears in the top left corner of the screen:

Create screenshot with left click or enter
Escape or right click to cancel

The cursor is changed to a + selection cursor, but basically does nothing.

You then need to escape or right click to get the actual application to appear.  

Copy to Clipboard doesn't work, at least not with copyq.  Perhaps release 20 works better.  It's not here yet.

Comment 11 Ben Cotton 2020-08-11 15:29:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 12 Gerald Cox 2020-11-17 04:53:15 UTC
Fixed with Plasma 5.20.3; Spectacle 20.08.1
You need to adjust the Capture Mode, Delay in settings to be at least 1 second, otherwise
for capture of rectangular regions, you're likely to get the Spectacle window in your capture.


Note You need to log in before you can comment on or make changes to this bug.